body{
    background-color:#364F6B ;
}
.all_posts{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.post {
    display: flex;
    flex-direction: column;
    position: relative;
    margin: 40px;
    border-radius: 20px;
    width: 500px;
    height: max-content;
    background-color: #F5F5F5;
    /* padding: 15px; */
}
.post:hover{
    cursor: pointer;
}

.user {
    display: flex;
    height: 55px;
    /* padding: 10px; */
    position: relative;
}

.left {
    display: flex;
    width: 70%;
}

.right {
    position:absolute;
    right: 20px;
    top: 18px;
    display: flex;
    width: 30%;
    justify-content: flex-end;
    align-items: center;
}

.name {
    font-size: 20px;
}


.delete,
.edit {
    padding-right: 10px;
}

.content {
    display: flex;
    flex-direction: column;
    padding: 10px;
    color: #F5F5F5;
    background-color: #FC5185;
}

.title {
    font-size: 25px;
    font-weight: 800;
    padding-bottom: 10px;
    text-align: center;
}

.comments {
    display: flex;
    flex-direction: column;
    padding: 10px;
    color: #F5F5F5;
    background-color:#3FC1C9;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

.comment {
    background-color: #364F6B;
    border-radius: 15px;
    margin-top: 15px;
    padding: 8px;
}

i {
    color: #364F6B;
}

input[type="checkbox"] {
    display: none;
}

.post::before {
    content: "";
    position: absolute;
    top: 18px;
    left: 20px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    position: absolute;
    border: 2px solid #364F6B;
}

input:checked~.post::after {
    content: "";
    top: 19px;
    left: 20px;
    width: 13px;
    height: 6px;
    position: absolute;
    border-bottom: 2px solid #364F6B;
    border-left: 2px solid #364F6B;
    transform: rotate(-45deg);
    margin: 5px 0 0 4px;
}
.headding{
    font-size: 30px;
    color: #F5F5F5;
    text-align: center;
}

.inner-comment {
    padding: 5px 0px 0px 15px;
}

.footer-form{
    /* display: flex; */
    /* justify-content: flex-end; */
    position: fixed;
    right: 75px;
    bottom: 10px;
    /* margin: 20px; */
}

#delete {
    background-color: #FC5185;
    color: #F5F5F5;
    border-radius: 25px;
    border: none;
    height: 40px;
    width: 200%;
    cursor: pointer;
      /* visibility: hidden;   */
}
#delete:hover{
    transform: scale(1.07);
}
